Summary:	xwininfo application - window information utility for X
Summary(pl.UTF-8):	Aplikacja xwininfo - narzędzie informujące o okienkach pod X
Name:		xorg-app-xwininfo
Version:	1.1.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xwininfo-%{version}.tar.bz2
# Source0-md5:	b777bafb674555e48fd8437618270931
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	libxcb-devel >= 1.6
# not used by default yet
#BuildRequires:	xcb-util-wm-devel >= 0.3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xwininfo is a utility for displaying information about windows.
Various information is displayed depending on which options are
selected.

%description -l pl.UTF-8
xwininfo to narzędzie do wyświetlania informacji o okienkach.
Wyświetlane są różne informacje w zależności od wybranych opcji.

%prep
%setup -q -n xwininfo-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xwininfo
%{_mandir}/man1/xwininfo.1x*
%changelog
* Tue May 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xwininfo.git;a=log;h=master

* Tue May 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 5dc9436
- updated to 1.1.3

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 168423a
- updated to 1.1.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b1cd9ba
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> b1605d1
- updated to 1.1.1

* Wed Sep 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 1775fe7
- updated to 1.1.0
- now it uses xcb instead of libXext

* Tue Oct 20 2009 Jakub Bogusz <qboosh@pld-linux.org> 3c09b73
- updated to 1.0.5

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 577cbc2
- updated to 1.0.4
- libXmuu no longer used

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 828ee32
- real descs from man page

* Mon Aug 27 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e0ed0d8
- up to 1.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 62c2dc9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7501c1b
- converted to UTF-8

* Mon Oct 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 7d7efc8
- more verbose files and explicit BRs

* Sun Apr 02 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cabdad
- up to 1.0.2

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 9aef1dc
- 1.0.1 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> fa83c70
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 2e846a3
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 310214b
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 0b0fea5
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 84f1892
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 41d04a7
- s/pkg-config/pkgconfig/ in BR:

